<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_dentro_reg_shortcodes_staff', 998 );
}
function mascot_core_dentro_reg_shortcodes_staff() {


	vc_map( 
		array(
			'name'     => esc_html__( 'Staff Thumb', 'mascot-core' ),
			'base'     => 'tmvc_staff_thumb',
			'description' => esc_html__( 'Staff', 'mascot-core' ),
			'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
			'params'   => array(
				array(
					'type'			=> 'dropdown',
					"heading"		=> esc_html__( "Thumbnail Image Size", 'mascot-core' ),
					"param_name"	=> "thumb_image_size",
					'description'   => '',
					'value'			=> mascot_core_dentro_get_available_image_sizes_for_vc(),
					'std'			=> 'dentro_mascot_square',
					'admin_label'   => true,
				),
				mascot_core_dentro_vc_add_css_editor(),
			)
		)
	);
	class WPBakeryShortCode_tmvc_staff_thumb extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Info', 'mascot-core' ),
		'base'     => 'tmvc_staff_info',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Contact Info', 'mascot-core' ),
		'base'     => 'tmvc_staff_contact_info',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_contact_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Appointment URL', 'mascot-core' ),
		'base'     => 'tmvc_staff_appointment_url',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_appointment_url extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Short Bio', 'mascot-core' ),
		'base'     => 'tmvc_staff_short_bio',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_short_bio extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Working Hours', 'mascot-core' ),
		'base'     => 'tmvc_staff_working_hours',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_working_hours extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Staff Social Info', 'mascot-core' ),
		'base'     => 'tmvc_staff_social_info',
		'description' => esc_html__( 'Staff', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_dentro_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_staff_social_info extends WPBakeryShortCode {
	}
}